package com.house365.ws.interfaces.server;

import com.house365.beans.entity.CloudActivityEntity;
import com.house365.beans.entity.CloudCountEntity;
import com.house365.ws.beans.request.MapListRequest;
import com.house365.ws.beans.response.MapListResponse;

import java.util.List;
import java.util.Map;

/**
 * @author Created by Administrator on 2020/3/26.
 */
public interface ICloudActivityInterface {

    MapListResponse list(MapListRequest listRequest);

    List<CloudCountEntity> reportList(Map<String, Object> map);

    MapListResponse reportDetailList(MapListRequest listRequest, int countId);

    List<CloudActivityEntity> queryByConditions(Map<String, Object> map);

    void setCloudCount();

    void startBackNoVisitToSea();

    void putExterCusToCrm();

    void setCloudReportCount(int type);

    void addCloudActivityNew();

    void updateStatus();

    void updateDutyStaff();

    void addMarketActivity();
}
